From d003628ffa199e7144da6d84025084cb7d6cde43 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Sep 05 2020 23:15:04 +0000
Subject: [PATCH 849/2232] Don't mark trycatch since it is not from cxx.h


---

diff --git a/gen/src/write.rs b/gen/src/write.rs
index 4bc633f..68d8775 100644
--- a/gen/src/write.rs
+++ b/gen/src/write.rs
@@ -247,7 +247,6 @@ fn write_include_cxxbridge(out: &mut OutFile, apis: &[Api], types: &Types) {
         || needs_unsafe_bitcopy
         || needs_manually_drop
         || needs_maybe_uninit
-        || needs_trycatch
     {
         writeln!(out, "// #include \"rust/cxx.h\"");
     }

